# SPDX-FileCopyrightText: 2016 Copyright contributors to the cppTango project
#
# SPDX-License-Identifier: LGPL-3.0-or-later

set(LOG4TANGO_HEADERS
    Appender.h
    AppenderAttachable.h
    LayoutAppender.h
    FileAppender.h
    RollingFileAppender.h
    OstreamAppender.h
    Layout.h
    PatternLayout.h
    XmlLayout.h
    Logger.h
    LogSeparator.h
    LoggerStream.h
    LogStreambuf.h
    LoggingEvent.h
    Level.h
    Filter.h
    Portability.h)

install(FILES ${LOG4TANGO_HEADERS} DESTINATION
    "${CMAKE_INSTALL_INCLUDEDIR}/tango/common/log4tango")
